查看显卡状态:NVIDIA-SMI couldn't communicate.

需要切换内核版本,操作步骤如下:

  1. 进入/boot/grub/grub.cfg, 查看menuentry中所有的内核版本;
    比如有:
    Ubuntu, with Linux 4.4.0-201-generic
    Ubuntu, with Linux 4.4.0-142-generic (旧版)
  2. 一般需要选择低版本内核,即未更新之前的版本,需要重启服务器后按上下键选择Advanced options for Ubuntu,然后选择低级内核版本进入即可;

Ubuntu 永久设置默认内核版本:

  1. 进入/boot/grub/grub.cfg, 查看menuentry中需要进入的内核版本;

  2. 设置/etc/default/grub 中 GRUB_DEFAULT为menuentry中显示的名字,如:

    GRUB_DEFAULT="Advanced options for Ubuntu>Ubuntu, with Linux 3.13.0-53-generic"

  3. 然后sudo update-grub;

禁止内核自动更新:

vim /etc/apt/apt.conf.d/10periodic

-----